Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Trace Compass » Fails to install TraceCompass plugins on Luna 4.4.1(missing requirements: org.swtchart and org.antlr.runtime)
Fails to install TraceCompass plugins on Luna 4.4.1 [message #1711426] Thu, 15 October 2015 22:06 Go to next message
Zhian Luo is currently offline Zhian LuoFriend
Messages: 7
Registered: April 2014
Junior Member
I'm trying to install TraceCompass plugins on Luna 4.4.1 platform with PDE, CDT installed.

First the org.swtchart plugin is missing. After I manually download it, I run into following error. Anyone has some idea what do I need to do to move forward?

Cannot complete the install because one or more required items could not be found.
Software being installed: LTTng Tracer Control 1.1.0.201509141028 (org.eclipse.tracecompass.lttng2.control.feature.group 1.1.0.201509141028)
Missing requirement: Trace Compass CTF Core Plug-in 1.1.0.201509141028 (org.eclipse.tracecompass.ctf.core 1.1.0.201509141028) requires 'package org.antlr.runtime 3.2.0' but it could not be found
Cannot satisfy dependency:
From: LTTng Tracer Control 1.1.0.201509141028 (org.eclipse.tracecompass.lttng2.control.feature.group 1.1.0.201509141028)
To: org.eclipse.tracecompass.ctf.core 1.0.0
Re: Fails to install TraceCompass plugins on Luna 4.4.1 [message #1711518 is a reply to message #1711426] Fri, 16 October 2015 16:10 Go to previous messageGo to next message
Bernd Hufmann is currently offline Bernd HufmannFriend
Messages: 3
Registered: April 2015
Junior Member
Hello

The main target of Trace Compass is Eclipse Mars (4.5.x). Even if Luna is not the target it should still work.

There are a view things to know. Trace Compass depends on the Remote Services (org.eclipse.remote) v2.0.x. But this was not part of the Eclipse Luna simultaneous release. You have to install that manually before installing Trace Compass.

I tried to install Trace Compass on Luna myself and was able to make it work. Here is what I did:

- Download package Eclipse for Commiters 4.4.2 from https://eclipse.org/downloads/packages/release/luna/sr2
- Install CDT for Luna from udpate site site http://download.eclipse.org/releases/luna
- Install Remote Services from update site http://download.eclipse.org/tools/ptp/builds/remote/2.0.1
- Install Trace Compass 1.1.0 from update site: http://download.eclipse.org/tracecompass/releases/1.1.0/repository/

/Bernd
Re: Fails to install TraceCompass plugins on Luna 4.4.1 [message #1711542 is a reply to message #1711518] Fri, 16 October 2015 21:44 Go to previous message
Zhian Luo is currently offline Zhian LuoFriend
Messages: 7
Registered: April 2014
Junior Member
Thanks for your reply, Bernd.
I'm still having issue updating and installing Trace Compass with my 4.4.1 base. So I abandoned it and start from fresh Mars install. Of course, it's all smooth sailing from there. But I'm glad that someone has Luna base install would be able to reference your steps.
Previous Topic:Can't get the custom trace analysis example to work
Next Topic:Cannot see duration between t1 and t2 in Control Flow
Goto Forum:
  


Current Time: Mon Nov 19 02:35:18 GMT 2018

Powered by FUDForum. Page generated in 0.02266 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top